> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Offramp



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/direct_ramp/withdraw
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/direct_ramp/withdraw:
    post:
      tags:
        - Pan-Africa Ramp
      summary: Direct Offramp
      operationId: get_direct_rampwithdraw
      parameters:
        - in: query
          name: quoteId
          schema:
            type: string
          description: Gotten from get Rate Quote endpoint.
          required: true
        - in: query
          name: payout_id
          schema:
            type: string
          description: Customer Payout method ID gotten from Add Payout method endpoint.
          required: true
        - in: query
          name: stables
          schema:
            type: string
            enum:
              - USDT
              - USDC
          required: true
          description: stable coin used for offramp
        - in: query
          name: offramp_amount
          schema:
            type: string
          description: Stables amount based of generated quote.
          required: true
        - in: query
          name: payout_currency
          schema:
            type: string
            enum:
              - NGN
              - GHS
              - KES
              - ZAR
              - XAF
              - TZS
            default: NGN
          required: true
          description: Currency to be settled in based of generated quote
        - in: query
          name: sender_address
          schema:
            type: string
          description: Wallet address funds sent from.
          required: true
        - in: query
          name: network
          schema:
            type: string
            enum:
              - Bsc
              - matic
              - base
          required: true
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````